incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ove Ewerlid <Ove.Ewer...@oracle.com>
Subject Re: "mvn install" failed on apache 4.0 branch: [ERROR] Could not find the selected project in the reactor: developer -> [Help 1]
Date Wed, 16 Jan 2013 15:54:41 GMT
On 01/10/2013 12:34 AM, Edison Su wrote:
> 4.0 is different, the build document is here: http://incubator.apache.org/cloudstack/develop/environment.html
>
> Try "Ant deploydb"

A similar experience;

When building latest 4.0 (e.g., 4.0.1) on RHES63 I've observed that 'mvn 
-P deps install' frequently fails to populate 
incubator-cloudstack/deps/* with *.jar files resulting in "./waf rpm" 
failing due to lacking jar-dependencies in deps/*. The jars in question 
are in the local cache (~/.m2/repository/) so that is not the problem.

In my case, the success rate is subjectively 1 out of 10. All or nothing 
is copied. The fix is taking a copy of the jars from a successful 'mvn 
-P deps' run and copying these into the deps directory when building.
(In my build script I tend to run 'git clean -d -f -x > /dev/null' which 
cleans out the deps/* directory requiring repopulation, would it not be 
for this I may never have noticed this issue).

Maven 3.0.3 and 3.0.4 has been tested.

/Ove


>> -----Original Message-----
>> From: Jessica Wang
>> Sent: Wednesday, January 09, 2013 2:36 PM
>> To: cloudstack-dev@incubator.apache.org; Edison Su
>> Cc: Sheng Yang; Alex Huang
>> Subject: RE: "mvn install" failed on apache 4.0 branch: [ERROR] Could not find
>> the selected project in the reactor: developer -> [Help 1]
>>
>> Edison,
>>
>> The following code was removed from pom.xml at 2012-09-28
>> ==========================================================
>> ========================
>>      <profile>
>>        <id>developer</id>
>>        <modules>
>>          <module>developer</module>
>>          <module>tools/apidoc</module>
>>          <module>tools/devcloud</module>
>>          <module>tools/marvin</module>
>>          <module>tools/cli</module>
>>        </modules>
>>      </profile>
>> ==========================================================
>> ========================
>>
>> Is this why the error happens when running ""mvn -P developer -pl
>> developer -Ddeploydb"?
>> ("[ERROR] Could not find the selected project in the reactor: developer")
>>
>> Jessica
>>
>>
>> -----Original Message-----
>> From: Jessica Wang [mailto:Jessica.Wang@citrix.com]
>> Sent: Wednesday, January 09, 2013 1:51 PM
>> To: Edison Su; cloudstack-dev@incubator.apache.org
>> Cc: Sheng Yang; Alex Huang
>> Subject: RE: "mvn install" failed on apache 4.0 branch: [ERROR] Could not find
>> the selected project in the reactor: developer -> [Help 1]
>>
>> I removed "~/.m2/repository" many times and still got the same error.
>> Then, I removed "~/.m2/repository/org/apache/xalan/xalan/2.7.1/" only and
>> "mvn install" succeeded (the error was gone).
>>
>> Then, I run "mvn -P developer -pl developer -Ddeploydb" and got another
>> error:
>> ==========================================================
>> ==========================================================
>> ===================
>> [ERROR] Could not find the selected project in the reactor: developer ->
>> [Help 1]
>> ==========================================================
>> ==========================================================
>> ===================
>>
>>
>>
>> From: Edison Su
>> Sent: Wednesday, January 09, 2013 1:26 PM
>> To: Jessica Wang; cloudstack-dev@incubator.apache.org
>> Cc: Sheng Yang
>> Subject: RE: "mvn install" failed on apache 4.0 branch: "error reading
>> C:\Users\jessica\.m2\repository\org\apache\xalan\xalan\2.7.1\xalan-
>> 2.7.1.jar; error in opening zip file"
>>
>> Remove ~/.m2/repository, then try again.
>>
>> From: Jessica Wang
>> Sent: Wednesday, January 09, 2013 11:05 AM
>> To: Edison Su; cloudstack-dev@incubator.apache.org
>> Cc: Sheng Yang
>> Subject: RE: "mvn install" failed on apache 4.0 branch: "error reading
>> C:\Users\jessica\.m2\repository\org\apache\xalan\xalan\2.7.1\xalan-
>> 2.7.1.jar; error in opening zip file"
>>
>> Edison,
>>
>> I did what you said, then "mvn install" failed with another error:
>>
>> ==========================================================
>> ==========================================================
>> ===================
>>
>> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-
>> plugin:2.5.1:compile (default-compile) on project cloud-awsapi: Compilation
>> failure [ERROR] error: error reading
>> C:\Users\jessica\.m2\repository\org\apache\xalan\xalan\2.7.1\xalan-
>> 2.7.1.jar; error in opening zip file [ERROR] -> [Help 1]
>>
>> ==========================================================
>> ==========================================================
>> ===================
>>
>> Jessica
>>
>>
>> From: Edison Su
>> Sent: Tuesday, January 08, 2013 4:24 PM
>> To: Jessica Wang; cloudstack-dev@incubator.apache.org<mailto:cloudstack-
>> dev@incubator.apache.org>
>> Subject: RE: "mvn install" failed on apache 4.0 branch: [ERROR] Failed to
>> execute goal on project cloud-awsapi: Could not resolve dependencies for
>> project org.apache.cloudstack:cloud-awsapi:jar:4.0.1-incubating-SNAPS
>>
>> Remove your ~/.m2/settings.xml, then try again. I don't know how to
>> configure maven settings.xml, to automatically download from external
>> maven repo if it's not cached by local nexus server.
>> Right now, in our local nexus server, only repo1.maven.org and libvirt.org is
>> cached, if there is any dependency which is not in these two repos, then mvn
>> complains can't find corresponding poms.
>>
>> From: Jessica Wang
>> Sent: Tuesday, January 08, 2013 3:10 PM
>> To: cloudstack-dev@incubator.apache.org<mailto:cloudstack-
>> dev@incubator.apache.org>
>> Cc: Edison Su
>> Subject: "mvn install" failed on apache 4.0 branch: [ERROR] Failed to execute
>> goal on project cloud-awsapi: Could not resolve dependencies for project
>> org.apache.cloudstack:cloud-awsapi:jar:4.0.1-incubating-SNAPS
>>
>> Hi,
>>
>> I just got latest code from apache 4.0 branch and "mvn install" failed:
>>
>> ==========================================================
>> ==========================================================
>> ===================
>>
>> [ERROR] Failed to execute goal on project cloud-awsapi: Could not resolve
>> dependencies for project org.apache.cloudstack:cloud-awsapi:jar:4.0.1-
>> incubating-SNAPS
>> HOT: Could not find artifact opensaml:opensaml:jar:1.1 in nexus
>> (http://10.223.75.59:8081/nexus/content/groups/public) -> [Help 1]
>>
>> ==========================================================
>> ==========================================================
>> ===================
>>
>> Did anyone encounter the same error when running "mvn install" on apache
>> 4.0 branch?
>>
>> Jessica


-- 
Ove Everlid
System Administrator / Architect / SDN & Linux hacker
Mobile: +46706662363
Office: +4618656913 (note EMEA Time Zone)

Mime
View raw message